Subject: bug#79082: [emacs-bug] bug#79082: 30.1; [reproducibility] sysinfo call during profile dump

From: "Dr. Werner Fink" <[email-masked]>
Date: Mon, 8 Sep 2025 15:50:45 +0200

On 2025/07/30 15:50:03 +0300, Eli Zaretskii wrote:
> > Date: Wed, 30 Jul 2025 14:32:39 +0200
> > From: "Dr. Werner Fink" <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked]
> > 
> > It would be nice if GNU Emacs upstream would fix the problem with the
> > two changing values of the gc statistics and lisp engine startup time.
> > If with my proposal or any other way I simply do not care but the
> > configure option --disable-build-details should do its job.
> 
> I understand, but I cannot in good faith uphold changes about whose
> correctness I have doubts, as I explained in previous messages.  We
> should not overwrite every time value by a single fixed value, because
> this could easily break the build, if it doesn't already.

Just to be noted: No bug reports so far. It simply works.

Werner

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr